CAESAR(6)

NAME
caesar, rot13 - decrypt caesar cyphers

SYNOPSIS
caesar [rotation]
rot13

DESCRIPTION
The caesar utility attempts to decrypt caesar cyphers using English letter frequency statistics. caesar reads from the standard input and writes to the standard output.

The optional numerical argument rotation may be used to specify a specific rotation value.

If this utility is invoked as rot13, it will rotate by 13 characters. This format is commonly used on USENET to “disguise” content.

The frequency (from most common to least) of English letters is as follows:

ETAONRISHDLFCMUGPYWBVKXJQZ

Their frequencies as a percentage are as follows:

E(13), T(10.5), A(8.1), O(7.9), N(7.1), R(6.8), I(6.3), S(6.1), H(5.2), D(3.8), L(3.4), F(2.9), C(2.7), M(2.5), U(2.4), G(2), P(1.9), Y(1.9), W(1.5), B(1.4), V(.9), K(.4), X(.15), J(.13), Q(.11), Z(.07).